Get Destination
curl --request GET \
--url https://api.streamkap.com/destinations/{destination_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamkap.com/destinations/{destination_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamkap.com/destinations/{destination_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"name": "<string>",
"connector": "<string>",
"id": "<string>",
"connector_display_name": "<string>",
"created_timestamp": "<string>",
"sub_id": "<string>",
"tenant_id": "<string>",
"config": {
"bigquery.json": {},
"table.name.prefix": "<string>",
"consumer.override.max.poll.records": 10000,
"tasks.max": 5,
"preserve.null.values": false,
"quote.identifiers": true,
"transforms.ToIntJ.fields.include.list": "<string>",
"transforms.ToFloatJ.fields.include.list": "<string>",
"transforms.ToDecimalJ.fields.include.list": "<string>",
"transforms.ToDecimalJ.truncate.to.max.precision": false,
"transforms.ToStringJ.fields.include.list": "<string>",
"transforms.ToJsonJ.fields.include.list": "<string>",
"transforms.ToJsonJ.convert.all.complex.types.user.defined": false,
"transforms.ToJsonbJ.fields.include.list": "<string>",
"transforms.ToJsonbJ.convert.all.complex.types.user.defined": false,
"transforms.ToJsonbJ.convert.all.json": false,
"transforms.StringReplace.fields.include.list": "<string>",
"transforms.StringReplace.regex.patterns": "<string>",
"transforms.StringReplace.replacement.values": "<string>",
"transforms.OversizedRecords.fields.include.list": "<string>",
"transforms.OversizedRecords.fields.exclude.list": "<string>",
"transforms.OversizedRecords.max.field.size.bytes": 1048576,
"transforms.OversizedRecords.oversized.field.behavior": "TRUNCATE",
"transforms.OversizedRecords.truncation.suffix": "",
"transforms.OversizedRecords.max.record.size.bytes": -1,
"transforms.OversizedRecords.semantic.types.exclude": "io.debezium.data.Json,io.debezium.data.Xml",
"transforms.OversizedRecords.replace.null.with.default": true,
"transforms.AddStringSuffix.fields.include.list": "<string>",
"transforms.changeTopicName.match.regex.user.defined": "<string>",
"transforms.RenameFields.renames.user.defined": "<string>",
"transforms.DropFields.fields.include.list": "<string>",
"transforms.MarkColumnsAsRequired.fields.include.all": false,
"transforms.MarkColumnsAsRequired.null.sentinel.mode": "NONE",
"transforms.MarkColumnsAsOptional.fields.include.list": "<string>",
"transforms.CopyField.copy.field.mapping": "<string>",
"transforms.HeaderToFieldCustom.header.mappings": "<string>",
"bigquery.region": "us-central1",
"custom.bigquery.cluster.field": "<string>",
"custom.bigquery.partition.field": "<string>",
"bigquery.time.based.partition": false
},
"topic_ids": [
"<string>"
],
"topic_map": {},
"topics": [
"<string>"
],
"tasks": [
123
],
"connector_status": "<string>",
"desired_state": "<string>",
"kc_cluster_id": "<string>",
"task_statuses": {},
"tags": [
"<string>"
]
}
],
"page": 1,
"page_size": 10,
"total": 123,
"has_next": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Destinations
Get Destination
spec: /specs/20_Destinations/spec.md#verify-running
GET
/
destinations
/
{destination_id}
Get Destination
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Was this page helpful?
⌘I